/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.karry.dop.nbmodule.dbg.ui;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import javax.swing.ImageIcon;
import org.openide.util.NbBundle;
import org.openide.util.Utilities;
import org.openide.windows.TopComponent;

/**
 * Action which shows DopDbgOut component.
 */
public class DopDbgOutAction extends AbstractAction {

    public DopDbgOutAction() {
        super(NbBundle.getMessage(DopDbgOutAction.class, "CTL_DopDbgOutAction"));
//        putValue(SMALL_ICON, new ImageIcon(Utilities.loadImage(DopDbgOutTopComponent.ICON_PATH, true)));
    }

    public void actionPerformed(ActionEvent evt) {
        TopComponent win = DopDbgOutTopComponent.findInstance();
        win.open();
        win.requestActive();
    }
}
